This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 688497 - [zh_CN][zh_TW][CLI]Translation of "subscription-manager subscribe" with unregistered system
[zh_CN][zh_TW][CLI]Translation of "subscription-manager subscribe" with unreg...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager (Show other bugs)
5.7
Unspecified Unspecified
medium Severity medium
: rc
: 5.7
Assigned To: Chris Duryee
: Translation
Depends On:
Blocks: 675214
  Show dependency treegraph
 
Reported: 2011-03-17 05:10 EDT by tichen
Modified: 2011-12-21 11:08 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-21 11:08:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
subscription-manager subscribe (12.05 KB, image/png)
2011-04-06 04:37 EDT, tichen
no flags Details

  None (edit)
Description tichen 2011-03-17 05:10:27 EDT
Description of problem:
The error output is not translated.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Installed all relevant language packages
2.Installed Subscription Manager.
3.Unregistered system
4.On command line,run #subscription-manager subscribe
5.On command line,run #subscription-manager subscribe --pool  without give value to pool parameter

  
Actual results:
After step 4,"Error;:Need to supply --pool or --auto" should be translated.
After step 5,the message
"Usage: subscription-manager subscribe [OPTIONS]

subscription-manager: error: --pool option requires an argument"
is not translated.

Expected results:

Additional info:
Comment 2 Jin Zhao 2011-03-17 07:03:14 EDT
[zh_TW] have the same problem.
Comment 3 Bryan Kearney 2011-03-25 09:58:05 EDT
0.95.6 will have the latest strings (BZ 688592). This will resolve the issue.
Comment 7 tichen 2011-04-06 04:26:23 EDT
subscription-manager:The warning informatin has been translated,so
status:PASS
Comment 8 tichen 2011-04-06 04:37:00 EDT
Created attachment 490198 [details]
subscription-manager subscribe
Comment 9 tichen 2011-04-06 05:15:11 EDT
The result is:

使用:subscription-manager subscribe [OPTIONS]
subscription-manager: error: --pool 选项需要一个参数

expected result:
The "error" word should also be translated.

Verify result:
zh_CH-0.95.6-1: Failed
Comment 10 Jin Zhao 2011-04-06 06:36:45 EDT
Verify version:
subscription-manager-0.95.6-1

Steps:
# LANG=zh_TW subscription-manager subscribe --pool
使用方法:subscription-manager subscribe [OPTIONS]
subscription-manager: error: --pool 選項需要一個引數

Expected results:
Error should be translate

Verify Result: FAILED
Comment 16 Chris Duryee 2011-05-03 10:56:34 EDT
This is out for translation
Comment 17 Chris Duryee 2011-05-18 10:58:21 EDT
translations came back, fixed in a4fe33ee3a86f0dccb4b7aa9fe99872632d9f494
Comment 18 John Sefler 2011-05-21 01:38:02 EDT
Verifying Version...
[root@jsefler-onprem-5server ~]# rpm -q subscription-manager
subscription-manager-0.95.5.18-1.git.4.364aa10.el5


[root@jsefler-onprem-5server ~]# LANG=zh_CN subscription-manager subscribe
错误:需要提供 --pool 或者 --auto。
[root@jsefler-onprem-5server ~]# LANG=zh_CN subscription-manager subscribe --pool
使用:subscription-manager subscribe [OPTIONS]

subscription-manager: 错误:--pool 选项需要一个参数


[root@jsefler-onprem-5server ~]# LANG=zh_TW subscription-manager subscribe
錯誤:需要提供 --pool 或是 --auto。
[root@jsefler-onprem-5server ~]# LANG=zh_TW subscription-manager subscribe --pool
使用方法:subscription-manager subscribe [OPTIONS]

subscription-manager: 錯誤: --pool 選項需要一個引數



^^^ Verified translated strings are present for both LANG=zh_TW and LANG=zh_CN
tichen, please verify that the value of the translated strings are accurate.

Note You need to log in before you can comment on or make changes to this bug.